Scope Maps - Get
Gets the properties of the specified scope map.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerRegistry/registries/{registryName}/scopeMaps/{scopeMapName}?api-version=2025-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
registry
|
path | True |
string minLength: 5maxLength: 50 pattern: ^[a-zA-Z0-9]*$ |
The name of the container registry. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
scope
|
path | True |
string minLength: 5maxLength: 50 pattern: ^[a-zA-Z0-9-_]*$ |
The name of the scope map. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
ScopeMapGet
Sample request
Sample response
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.ContainerRegistry/registries/myRegistry/scopeMaps/myScopeMap",
"name": "myScopeMap",
"type": "Microsoft.ContainerRegistry/registries/scopeMaps",
"properties": {
"creationDate": "2017-03-01T23:14:37.0707808Z",
"type": "IsUserDefined",
"actions": [
"repositories/myrepository/contentWrite",
"repositories/myrepository/delete"
],
"provisioningState": "Succeeded"
}
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Provisioning |
The provisioning state of the archive at the time the operation was called. |
|
Scope |
An object that represents a scope map for a container registry. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ProvisioningState
The provisioning state of the archive at the time the operation was called.
| Value | Description |
|---|---|
| Creating | |
| Updating | |
| Deleting | |
| Succeeded | |
| Failed | |
| Canceled |
ScopeMap
An object that represents a scope map for a container registry.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.actions |
string[] |
The list of scoped permissions for registry artifacts. E.g. repositories/repository-name/content/read, repositories/repository-name/metadata/write |
| properties.creationDate |
string (date-time) |
The creation date of scope map. |
| properties.description |
string |
The user friendly description of the scope map. |
| properties.provisioningState |
Provisioning state of the resource. |
|
| properties.type |
string |
The type of the scope map. E.g. BuildIn scope map. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |